## cookietool 2.5

=== Makefile ===
# $Id: Makefile,v 1.6 2000/06/17 18:49:22 baran Exp $
# slightly rewritten original Wilhelm Noeker's Makefile

targets		= cookietool cdbsplit cdbdiff
objects		= cookietool.o cdbsplit.o cdbdiff.o strstuff.o \
                  cookio.o compress.o
prefix		= usr
binprefix	= $(prefix)/games
manprefix	= $(prefix)/share/man/man6
CC		= gcc
RM		= rm -v
INSTALL		= install
CFLAGS		= -O2 -Wall

build : $(targets)

strstuff.o : strstuff.c strstuff.h
cookio.o   : cookio.c  cookio.h
compress.o : compress.c compress.h

cookietool   : cookietool.o strstuff.o compress.o cookio.o
cookietool.o : cookietool.c strstuff.h compress.h cookio.h
                                  
cdbdiff   : cdbdiff.o strstuff.o compress.o cookio.o
cdbdiff.o : cdbdiff.c strstuff.h compress.h cookio.h
                                  
cdbsplit   : cdbsplit.o strstuff.o cookio.o
cdbsplit.o : cdbsplit.c strstuff.h cookio.h

clean :
	@-$(RM) $(targets) $(objects)

# for AmigaOS installation change install-binary-unix to
# install-binary-amiga; for non-debian-installation, use `make all'

install : install-binary # install-manpages

install-binary :
	@for file in $(targets); do \
	  $(INSTALL) -m 0755 $$file $(DESTDIR)/$(binprefix)/$$file; \
	done;

install-manpages :
	@for file in doc/*.6; do \
	  $(INSTALL) -m 0644 $$file $(DESTDIR)/$(manprefix)/$$file; \
	done;

all : build install install-manpages

=== debian/changelog ===
cookietool (2.5-7) unstable; urgency=medium

  * Team upload.
  * Set "Rules-Requires-Root: no"

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 30 Mar 2024 18:11:52 +0100

cookietool (2.5-6) unstable; urgency=medium

  * Team upload.
  * Use compat level 10.
  * Declare compliance with Debian Policy 3.9.8.
  * Remove obsolete DM-Upload-Allowed field.
  * Use canonical Vcs-URI and https.
  * Remove hardening-includes build-dependency. (Closes: #836752)
  * Remove manual handling of hardening build flags. Just use the default
    values.
  * Remove build-dependency on dpkg-dev. Trivially satisfied now.

 -- Markus Koschany <apo@debian.org>  Thu, 15 Sep 2016 20:49:01 +0200

cookietool (2.5-5) unstable; urgency=low

  [ Peter Pentchev ]
  * Switch to the 3.0 (quilt) source format:
    - drop the quilt build dependency
    - drop the use of the quilt debhelper plugin in the rules file
    - remove the README.source file
  * Bump Standards-Version to 3.9.1 with no changes.
  * Update the copyright file to the latest DEP 5 candidate format and
    bump the year on my packaging copyright notice.
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to obtain the default values
    for CFLAGS, CPPFLAGS, and LDFLAGS.
  * Use hardening-includes instead of hardening-wrapper so that
    the hardened flags (if requested) are visible in CFLAGS and LDFLAGS.
  * Move the packaging to Git and update the Vcs-* control fields.
  * Enable build hardening by default unless the "nohardening" build
    option is specified.
  * Bump the debhelper compatibility level to 8 with no changes.

  [ Ansgar Burchardt ]
  * debian/control: Add DM-Upload-Allowed: yes.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 11 Feb 2011 16:54:53 +0200

cookietool (2.5-4) unstable; urgency=low

  * Using override targets calls for debhelper >= 7.0.50; among other
    things, this fixes the build on Lenny.
  * Simplify the rules file even further by using the quilt plugin
    for debhelper; specify a >= 0.46-7 version to the quilt dependency.
  * Extract the history section of the README file into a changelog.
  * Bump Standards-Version to 3.8.3 with no changes.
  * Add the Vcs-Svn and Vcs-Browser control fields.
  * Switch the copyright file to the rev. 59 of DEP 5 and shorten it by
    breaking out the repeated GPL-2+ license text into a separate section.
  * Only enable the hardening wrapper if "hardening" is specified in
    DEB_BUILD_OPTIONS.
  * Fix a couple of minor grammatical errors and typos in the control,
    rules, and README.Debian files.
  * Convert the patch headers to the DEP 3 format.
  * Reword the short description to make it a noun phrase and avoid
    the second person singular.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 07 Sep 2009 02:03:15 +0300

cookietool (2.5-3) unstable; urgency=low

  * New maintainer.  Closes: #503560
  * Use quilt for patch management.
  * Add a placeholder watchfile explaining why we can't use uscan.
  * Fix a hyphen used as a minus sign in cookietool.6.
  * Update the copyright file:
    - convert it to the machine-parseable format
    - add my copyright notice
    - change the common-licenses reference to GPL-2, not the GPL symlink
    - unfortunately, the original source files do not have a defensible
      copyright statement - they all have only a "(c)" string in
      the comments - but there's nothing we can do about it for the present
  * Add misc:Depends to the binary package.
  * Bump the debhelper compatibility level to 7:
    - minimize the rules file using override targets
  * Bump Standards-Version to 3.8.1:
    - allow the compiler program and flags to be overridden so that
      the "noopt" build option may be honored
    - add a README.source file mentioning the use of quilt
    - add a Homepage field pointing to cookietool.readme on the FTP site
  * Build with -Werror if the "werror" build option is specified.
  * Add the 04-compiler-warnings patch to fix some compiler warnings.
  * Use the build hardening wrapper unless "nohardening" is specified
    in DEB_BUILD_OPTIONS.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 04 Apr 2009 16:35:25 +0300

cookietool (2.5-2) unstable; urgency=low

  * Acknowledged NMU. (Closes: #327472).
  * The Description field is now more clear (changed 'cookies' to
    'fortunes'). (Closes: #186888).
  * Updated policy version.
  * Minor corrections in manpages.

 -- Miros/law L. Baran <baran@debian.org>  Sun, 18 Sep 2005 14:11:33 +0200

cookietool (2.5-1.1) unstable; urgency=low

  * BSP NMU
  * Fix FTBFS with gcc-4.0 due to label at end of case statement
    (compress.c). (Closes: #258582). Thanks to Andreas Jochens for the patch.
  * Fix missing copyright statement and reference to GPL in /usr/share
    in debian/copyright (closes: #302954)

 -- Hamish Moffatt <hamish@debian.org>  Sat, 10 Sep 2005 11:32:04 +0000

cookietool (2.5-1) unstable; urgency=low

  * New upstream version.
  * New utility 'cdbdiff' added.
  * Manpage for 'cdbdiff' added.
  * Cleaned manpages.
  * Revised packaging.

 -- Miros/law L. Baran <baran@debian.org>  Sat, 19 May 2001 17:14:38 +0200

cookietool (2.4-2) unstable; urgency=low

  * Uploaded to Debian (Closes: #92139).
  * Changed maintainer field (from <baran@knm.org.pl> to
    <baran@debian.org>).

 -- Miros/law L. Baran <baran@debian.org>  Wed,  9 May 2001 13:51:18 +0200

cookietool (2.4-1) unstable; urgency=low

  * New upstream release.
  * Updated manpages.

 -- Miros/law L. Baran <baran@knm.org.pl>  Fri, 23 Mar 2001 13:15:53 +0100

cookietool (2.3-2) unstable; urgency=low

  * changed priority from 'extra' to 'optional'.
  * new policy version in debian/control, this should make the package
    lintian-clean.
  * minor corrections of manpages.



=== debian/control ===
Source: cookietool
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13)
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Peter Pentchev <roam@ringlet.net>
Standards-Version: 3.9.8
Rules-Requires-Root: no
Homepage: ftp://ftp.aminet.net/util/misc/cookietool.readme
Vcs-Git: https://salsa.debian.org/games-team/cookietool.git
Vcs-Browser: https://salsa.debian.org/games-team/cookietool

Package: cookietool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: suite of programs to help maintain a fortune database
 The ''cookietool'' itself eliminates duplicate entries, sorts cookies
 alphabetically or by size if you wish. The ''cdbsplit'' tool extracts parts
 of the database to a separate file, by keyword, by size, by number, or
 as groups of 'similar' cookies.

=== debian/rules ===
#!/usr/bin/make -f
# debhelper config file for cookietool, the fortune database maintenance suite

%:
	dh $@

execute_after_dh_auto_build:
	awk '/^[0-9]+\..*History/ { disp = 1 } \
	     /^[0-9]/ && !/^[0-9]+\..*History/ { disp = 0 } \
	     { if (disp) { print } }' README > Changes
